Module | ActiveMerchant::Billing::Base
In: | lib/active_merchant/billing/base.rb

### Methods

gateway integration mode= test?

### Public Class methods

gateway(name)

Return the matching gateway for the provider

- `bogus`: BogusGateway - Does nothing (for testing)
- `moneris`: MonerisGateway
- `authorize_net`: AuthorizeNetGateway
- `trust_commerce`: TrustCommerceGateway

  ActiveMerchant::Billing::Base.gateway(‘moneris’).new

integration(name)

Return the matching integration module You can then get the notification from the module

- `bogus`: Bogus - Does nothing (for testing)
- `chronopay`: Chronopay - Does nothing (for testing)
- `paypal`: Chronopay - Does nothing (for testing)

  chronopay = ActiveMerchant::Billing::Base.integration(‘chronopay’) notification = chronopay.notification(raw_post)

mode=(mode)
test?()

A check to see if we‘re in test mode

[Validate]